<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.demo.mapper.BrandDao">
    <select id="selectAllId" resultType="java.lang.String">
        SELECT DISTINCT
            brand_id
        FROM
            `ddt_brand`
        WHERE show_delete = 0;
    </select>
    <select id="selectAllByNotIn" resultType="java.lang.String">
        SELECT DISTINCT
            brand_id
        FROM
            `ddt_brand`
        WHERE show_delete = 0
        <if test="notIns != null">
            <foreach collection="notIns" item="notIn" open="AND brand_id NOT IN (" separator="," close=")">
                #{notIn,jdbcType=VARCHAR}
            </foreach>
        </if>
    </select>
</mapper>
